 DEFINE PAGE2, SPACE=ROM
 SEGMENT PAGE2

 extern defenitionpg1
 extern defenitionpg3
 extern defenitionpg4
 extern equationspg
 public defenitionpg2

 include "ti83plus.inc"
 include "Zstats-JumpTable.inc"

EXT_APP equ 1   ;This definition is required of all apps
cseg            ;This linker directive is required of all apps.

defenitionpg2:
  ld a,(curCol)
  inc a
fndef:
  cp 41  
  jp P,part5
  cp 41
  jp z,part5
  cp 31
  jp z,def31
  cp 32
  jp z,def32
  cp 33
  jp z,def33
  cp 34
  jp z,def34
  cp 35
  jp z,def35
  cp 36
  jp z,def36
  cp 37
  jp z,def37
  cp 38
  jp z,def38
  cp 39
  jp z,def39
  cp 40
  jp z,def40
def31:
  ld a,1
  ld (promptRow),a
  ld HL,deft31
  jp pgprimr
def32:
  ld a,2
  ld (promptRow),a
  ld HL,deft32
  jp pgprimr
def33:
  ld a,3
  ld (promptRow),a
  ld HL,deft33
  jp pgprimr
def34:
  ld a,3
  ld (promptRow),a
  ld HL,deft34
  jp pgprimr
def35:
  ld a,2
  ld (promptRow),a
  ld HL,deft35
  jp pgprimr
def36:
  ld a,2
  ld (promptRow),a
  ld HL,deft36
  jp pgprimr
def37:
  ld a,2
  ld (promptRow),a
  ld HL,deft37
  jp pgprimr
def38:
  ld a,3
  ld (promptRow),a
  ld HL,deft38
  jp pgprimr
def39:
  ld a,2
  ld (promptRow),a
  ld HL,deft39
  jp pgprimr
def40:
  ld a,2
  ld (promptRow),a
  ld HL,deft40
  jp pgprimr
deft31:
  db "Discrete Data",0
  db "A set of data is said to be",0
  db "discrete if the values /",0
  db "observations belonging to",0
  db "it are distinct and",0
  db "separate, i.e. they can be",0
  db "counted (1,2,3...).",0
  db 0
  db 0
deft32:
  db "Discrete Rand. Var",0
  db "A discrete random variable",0
  db "is one which may take on",0
  db "only a countable number of",0
  db "distinct values such as 0,",0
  db "1, 2, 3, 4, ... Discrete",0
  db "random variables are",0
  db "usually (but not",0
  db "necessarily) counts. If a",0
  db "Discrete Rand. Var",0
  db "random variable can take",0
  db "only a finite number of",0
  db "distinct values, then it",0
  db "must be discrete. Examples",0
  db "of discrete random",0
  db "variables include the",0
  db "number of children in a",0
  db "family.",0
deft33:
  db "Dispersion",0
  db "The data values in a sample are not",0
  db "all the same. This variation between",0
  db "values is called dispersion.  When",0
  db "the dispersion is large, the values",0
  db "are widely scattered, when it is small",0
  db "they are tightly clustered. The width",0
  db "of diagrams such as dot plots, box",0
  db "plots, stem and leaf plots is greater",0
  db "Dispersion",0
  db "for samples with more dispersion",0
  db "and vice versa.  There are several",0
  db "measures of dispersion, the most",0
  db "common being the standard",0
  db "deviation. These measures indicate",0
  db "to what degree the individual",0
  db "observations of a data set are",0
  db "dispersed or 'spread out' around",0
  db "Dispersion",0
  db "their mean.  In manufacturing or",0
  db "measurement, high precision is",0
  db "associated with low dispersion.",0
  db 0
  db 0
  db 0
  db 0
  db 0
deft34:
  db "Dot Plot",0
  db "A dot plot is a way of",0
  db "summarising data, often",0
  db "used in exploratory data",0
  db "analysis to illustrate the",0
  db "major features of the",0
  db "distribution of the data in",0
  db "a convenient form. For",0
  db "nominal or ordinal data, a",0
  db "Dot Plot",0
  db "dot plot is similar to a",0
  db "bar chart, with the bars",0
  db "replaced by a series of",0
  db "dots. Each dot represnts a",0
  db "fixed number of",0
  db "individuals. For continuous",0
  db "data, the dot plot is",0
  db "similar to a histogram,",0
  db "Dot Plot",0
  db "with the rectangles",0
  db "replaced by dots. A dot",0
  db "plot can also help detect",0
  db "any unusual observations",0
  db "(outliers), or any gaps in",0
  db "the data set.",0
  db 0
  db 0
deft35:
  db "Dummy Var.",0
  db "In regression analysis we",0
  db "sometimes need to modify",0
  db "the form of non-numeric",0
  db "variables, for example sex,",0
  db "or marital status, to allow",0
  db "their effects to be",0
  db "included in the regression",0
  db "model. This can be done",0
  db "Dummy Var.",0
  db "through the creation of",0
  db "dummy variables whose role",0
  db "it is to identify each",0
  db "level of the original",0
  db "variables separately.",0
  db 0
  db 0
  db 0
deft36:
  db "Estimate",0
  db "An estimate is an",0
  db "indication of the value of",0
  db "an unknown quantity based",0
  db "on observed data. More",0
  db "formally, an estimate is",0
  db "the particular value of an",0
  db "estimator that is obtained",0
  db "from a particular sample of",0
  db "Estimate",0
  db "data and used to indicate",0
  db "the value of a parameter.",0
  db 0
  db 0
  db 0
  db 0
  db 0
  db 0
deft37:
  db "Estimation",0
  db "Estimation is the process",0
  db "by which sample data are",0
  db "used to indicate the value",0
  db "of an unknown quantity in a",0
  db "population. Results of",0
  db "estimation can be expressed",0
  db "as a single value, known as",0
  db "a point estimate, or a",0
  db "Estimation",0
  db "range of values, known as a",0
  db "confidence interval.",0
  db 0
  db 0
  db 0
  db 0
  db 0
  db 0
deft38:
  db "Estimator",0
  db "An estimator is any",0
  db "quantity calculated from",0
  db "the sample data which is",0
  db "used to give information",0
  db "about an unknown quantity",0
  db "in the population. For",0
  db "example, the sample mean is",0
  db "an estimator of the",0
  db "Estimator",0
  db "population mean. Estimators",0
  db "of population parameters",0
  db "are sometimes distinguished",0
  db "from the true value by",0
  db "using the symbol 'hat'.",0
  db "For example,",0
  db 0
  db 0
  db "Estimator",0
  db Ssigma,"= true population",0
  db "standard deviation",0
  db 0
  db Ssigma,"(hat)= estimated (from",0
  db "a sample)population",0
  db "standard deviation",0
  db 0
  db 0
deft39:
  db "Event",0
  db "An event is any collection",0
  db "of outcomes of an",0
  db "experiment. Formally, any",0
  db "subset of the sample space",0
  db "is an event. Any event",0
  db "which consists of a single",0
  db "outcome in the sample space",0
  db "is called an elementary or",0
  db "Event",0
  db "simple event. Events which",0
  db "consist of more than one",0
  db "outcome are called compound",0
  db "events.",0
  db 0
  db 0
  db 0
  db 0
deft40:
  db "Expected Frequencies",0
  db "In contingency table",0
  db "problems, the expected",0
  db "frequencies are the",0
  db "frequencies that you would",0
  db "predict ('expect') in each",0
  db "cell of the table, if you",0
  db "knew only the row and",0
  db "column totals, and if you",0
  db "Expected Frequencies",0
  db "assumed that the variables",0
  db "under comparison were",0
  db "independent.",0
  db 0
  db 0
  db 0
  db 0
  db 0
part5:
  cp 51
  jp P,part6
  cp 51
  jp z,part6
  cp 41
  jp z,def41
  cp 42
  jp z,def42
  cp 43
  jp z,def43
  cp 44
  jp z,def44
  cp 45
  jp z,def45
  cp 46
  jp z,def46
  cp 47
  jp z,def47
  cp 48
  jp z,def48
  cp 49
  jp z,def49
  cp 50
  jp z,def50
def41:
  ld a,4
  ld (promptRow),a
  ld HL,deft41
  jp pgprimr
def42:
  ld a,2
  ld (promptRow),a
  ld HL,deft42
  jp pgprimr
def43:
  ld a,4
  ld (promptRow),a
  ld HL,deft43
  jp pgprimr
def44:
  ld a,2
  ld (promptRow),a
  ld HL,deft44
  jp pgprimr
def45:
  ld a,2
  ld (promptRow),a
  ld HL,deft45
  jp pgprimr
def46:
  ld a,2
  ld (promptRow),a
  ld HL,deft46
  jp pgprimr
def47:
  ld a,3
  ld (promptRow),a
  ld HL,deft47
  jp pgprimr
def48:
  ld a,4
  ld (promptRow),a
  ld HL,deft48
  jp pgprimr
def49:
  ld a,1
  ld (promptRow),a
  ld HL,deft49
  jp pgprimr
def50:
  ld a,7
  ld (promptRow),a
  ld HL,deft50
  jp pgprimr
deft41:
  db "Expected Value",0
  db "The expected value (or",0
  db "population mean) of a",0
  db "random variable indicates",0
  db "its average or central",0
  db "value. It is a useful",0
  db "summary value (a number) of",0
  db "the variable's",0
  db "distribution. Stating the",0
  db "Expected Value",0
  db "expected value gives a",0
  db "general impression of the",0
  db "behaviour of some random",0
  db "variable without giving",0
  db "full details of its",0
  db "probability distribution",0
  db "(if it is discrete) or its",0
  db "probability density",0
  db "Expected Value",0
  db "function (if it is",0
  db "continuous). Two random",0
  db "variables with the same",0
  db "expected value can have",0
  db "very different",0
  db "distributions. There are",0
  db "other useful descriptive",0
  db "measures which affect the",0
  db "Expected Value",0
  db "shape of the distribution,",0
  db "for example variance. The",0
  db "expected value of a random",0
  db "variable X is symbolised by",0
  db "E(X) or ",Smu,".",0
  db 0
  db 0
  db 0
deft42:
  db "Experiment",0
  db "An experiment is any",0
  db "process or study which",0
  db "results in the collection",0
  db "of data, the outcome of",0
  db "which is unknown. In",0
  db "statistics, the term is",0
  db "usually restricted to",0
  db "situations in which the",0
  db "Experiment",0
  db "researcher has control over",0
  db "some of the conditions",0
  db "under which the experiment",0
  db "takes place.",0
  db 0
  db 0
  db 0
  db 0
deft43:
  db "Experimental Design",0
  db "We are concerned with the",0
  db "analysis of data generated",0
  db "from an experiment. It is",0
  db "wise to take time and",0
  db "effort to organise the",0
  db "experiment properly to",0
  db "ensure that the right type",0
  db "of data, and enough of it,",0
  db "Experimental Design",0
  db "is available to answer the",0
  db "questions of interest as",0
  db "clearly and efficiently as",0
  db "possible. This process is",0
  db "called experimental design.",0
  db "The specific questions that",0
  db "the experiment is intended",0
  db "to answer must be clearly",0
  db "Experimental Design",0
  db "identified before carrying",0
  db "out the experiment. We",0
  db "should also attempt to",0
  db "identify known or expected",0
  db "sources of variability in",0
  db "the experimental units",0
  db "since one of the main aims",0
  db "of a designed experiment is",0
  db "Experimental Design",0
  db "to reduce the effect of",0
  db "these sources of",0
  db "variability on the answers",0
  db "to questions of interest.",0
  db "That is, we design the",0
  db "experiment in order to",0
  db "improve the precision of",0
  db "our answers.",0
deft44:
  db "Extrapolation",0
  db "Extrapolation is when the",0
  db "value of a variable is",0
  db "estimated at times which",0
  db "have not yet been observed.",0
  db "This estimate may be",0
  db "reasonably reliable for",0
  db "short times into the",0
  db "future, but for longer",0
  db "Extrapolation",0
  db "times, the estimate is",0
  db "liable to become less",0
  db "accurate.",0
  db 0
  db 0
  db 0
  db 0
  db 0
deft45:
  db "Factor",0
  db "A factor of an experiment",0
  db "is a controlled independent",0
  db "variable, a variable whose",0
  db "levels are set by the",0
  db "experimenter. A factor is a",0
  db "general type or category of",0
  db "treatments. Different",0
  db "treatments constitute",0
  db "Factor",0
  db "different levels of a",0
  db "factor.",0
  db 0
  db 0
  db 0
  db 0
  db 0
  db 0
deft46:
  db "Factorial Design",0
  db "A factorial design is used",0
  db "to evaluate two or more",0
  db "factors simultaneously. The",0
  db "treatments are combinations",0
  db "of levels of the factors.",0
  db "The advantages of factorial",0
  db "designs over one-factor-at-",0
  db "a-time experiments is that",0
  db "Factorial Design",0
  db "they are more efficient and",0
  db "they allow interactions to",0
  db "be detected.",0
  db 0
  db 0
  db 0
  db 0
  db 0
deft47:
  db "5-Number Summary",0
  db "A 5-number summary is",0
  db "especially useful when we",0
  db "have so many data that it",0
  db "is sufficient to present a",0
  db "summary of the data rather",0
  db "than the whole data set. It",0
  db "consists of 5 values: the",0
  db "most extreme values in the",0
  db "5-Number Summary",0
  db "data set (maximum and",0
  db "minimum values), the lower",0
  db "and upper quartiles, and",0
  db "the median. A 5-number",0
  db "summary can be represented",0
  db "in a diagram known as a box",0
  db "and whisker plot. In cases",0
  db "where we have more than one",0
  db "5-Number Summary",0
  db "data set to analyse, a 5-",0
  db "number summary is",0
  db "constructed for each, with",0
  db "corresponding multiple box",0
  db "and whisker plots.",0
  db 0
  db 0
  db 0
deft48:
  db "Frequency Table",0
  db "A frequency table is a way",0
  db "of summarising a set of",0
  db "data. It is a record of how",0
  db "often each value (or set of",0
  db "values) of the variable in",0
  db "question occurs. It may be",0
  db "enhanced by the addition of",0
  db "percentages that fall into",0
  db "Frequency Table",0
  db "each category. A frequency",0
  db "table is used to summarise",0
  db "categorical, nominal, and",0
  db "ordinal data. It may also",0
  db "be used to summarise",0
  db "continuous data once the",0
  db "data set has been divided",0
  db "up into sensible groups.",0
  db "Frequency Table",0
  db "When we have more than one",0
  db "categorical variable in our",0
  db "data set, a frequency table",0
  db "is sometimes called a",0
  db "contingency table because",0
  db "the figures found in the",0
  db "rows are contingent upon",0
  db "(dependent upon) those",0
  db "Frequency Table",0
  db "found in the columns.",0
  db 0
  db 0
  db 0
  db 0
  db 0
  db 0
  db 0
deft49:
  db "Histogram",0
  db "A histogram is essentially",0
  db "a bar graph without the",0
  db "gaps between the bars that",0
  db "make up the graph.",0
  db 0
  db 0
  db 0
  db 0
deft50:
  db "Hypothesis Test",0
  db "Setting up and testing",0
  db "hypotheses is an essential",0
  db "part of statistical",0
  db "inference. In order to",0
  db "formulate such a test,",0
  db "usually some theory has",0
  db "been put forward, either",0
  db "because it is believed to",0
  db "Hypothesis Test",0
  db "be true or because it is to",0
  db "be used as a basis for",0
  db "argument, but has not been",0
  db "proved.  In each problem",0
  db "considered, the question of",0
  db "interest is simplified into",0
  db "two competing claims /",0
  db "hypotheses between which we",0
  db "Hypothesis Test",0
  db "have a choice? the null",0
  db "hypothesis, denoted H0,",0
  db "against the alternative",0
  db "hypothesis, denoted H1.",0
  db "These two competing claims",0
  db "/ hypotheses are not",0
  db "however treated on an equal",0
  db "basis: special",0
  db "Hypothesis Test",0
  db "consideration is given to",0
  db "the null hypothesis.",0
  db "If the experiment has been",0
  db "carried out in an attempt",0
  db "to disprove or reject a",0
  db "particular hypothesis, the",0
  db "null hypothesis, thus we",0
  db "give that one priority so",0
  db "Hypothesis Test",0
  db "it cannot be rejected",0
  db "unless the evidence against",0
  db "it is sufficiently strong.",0
  db "If one of the two",0
  db "hypotheses is 'simpler' we",0
  db "give it priority so that a",0
  db "more 'complicated' theory",0
  db "is not adopted unless there",0
  db "Hypothesis Test",0
  db "is sufficient evidence",0
  db "against the simpler one.",0
  db "The hypotheses are often",0
  db "statements about population",0
  db "parameters like expected",0
  db "value and variance? for",0
  db "example H0 might be that",0
  db "the expected value of the",0
  db "Hypothesis Test",0
  db "height of ten year old boys",0
  db "in the U.S. population is",0
  db "not different from that of",0
  db "ten year old girls. A",0
  db "hypothesis might also be a",0
  db "statement about the",0
  db "distributional form of a",0
  db "characteristic of interest.",0
part6:  
  cp 61
  jp P,part7
  cp 61
  jp z,part7
  cp 51
  jp z,def51
  cp 52
  jp z,def52
  cp 53
  jp z,def53
  cp 54
  jp z,def54
  cp 55
  jp z,def55
  cp 56
  jp z,def56
  cp 57
  jp z,def57
  cp 58
  jp z,def58
  cp 59
  jp z,def59
  cp 60
  jp z,def60
def51:
  ld a,2
  ld (promptRow),a
  ld HL,deft51
  jp pgprimr
def52:
  ld a,1
  ld (promptRow),a
  ld HL,deft52
  jp pgprimr
def53:
  ld a,1
  ld (promptRow),a
  ld HL,deft53
  jp pgprimr
def54:
  ld a,1
  ld (promptRow),a
  ld HL,deft54
  jp pgprimr
def55:
  ld a,2
  ld (promptRow),a
  ld HL,deft55
  jp pgprimr
def56:
  ld a,1
  ld (promptRow),a
  ld HL,deft56
  jp pgprimr
def57:
  ld a,1
  ld (promptRow),a
  ld HL,deft57
  jp pgprimr
def58:
  ld a,1
  ld (promptRow),a
  ld HL,deft58
  jp pgprimr
def59:
  ld a,1
  ld (promptRow),a
  ld HL,deft59
  jp pgprimr
def60:
  ld a,2
  ld (promptRow),a
  ld HL,deft60
  jp pgprimr
deft51:
  db "Independent Events",0
  db "Two events are independent",0
  db "if the occurrence of one of",0
  db "the events gives us no",0
  db "information about whether",0
  db "or not the other event will",0
  db "occur? that is, the events",0
  db "have no influence on each",0
  db "other. If two events are",0
  db "Independent Events",0
  db "independent then they",0
  db "cannot be mutually",0
  db "exclusive (disjoint) and",0
  db "vice versa.",0
  db 0
  db 0
  db 0
  db 0
deft52:
  db "Independent rand. vars.",0
  db "Two random variables X",0
  db "and Y say, are said to be",0
  db "independent if and only",0
  db "if the value of X has no",0
  db "influence on the value",0
  db "of Y and vice versa.",0
  db 0
  db 0
deft53:
  db "Independent Sampling",0
  db "Independent samples are",0
  db "those samples selected from",0
  db "the same population, or",0
  db "different populations,",0
  db "which have no effect on one",0
  db "another. That is, no",0
  db "correlation exists between",0
  db "the samples.",0
deft54:
  db "Interaction",0
  db "An interaction is the",0
  db "variation among the",0
  db "differences between means",0
  db "for different levels of one",0
  db "factor over different",0
  db "levels of the other factor.",0
  db 0
  db 0
deft55:
  db "IQR",0
  db "The IQR is a measure of the",0
  db "spread of or dispersion",0
  db "within a data set. It is",0
  db "calculated by taking the",0
  db "difference between the",0
  db "upper and the lower",0
  db "quartiles. The IQR is the",0
  db "width of an interval which",0
  db "IQR",0
  db "contains the middle 50",25h,0
  db "of the sample, so",0
  db "it is smaller than the",0
  db "range and its value is less",0
  db "affected by outliers.",0
  db 0
  db 0
  db 0
deft56:
  db "Interval Scale",0
  db "An interval scale is a",0
  db "scale of measurement where",0
  db "the distance between any",0
  db "two adjacents units of",0
  db "measurement (or",0
  db "'intervals') is the same",0
  db "but the zero point is",0
  db "arbitrary.",0
deft57:
  db "Irregular Component",0
  db "One type of main feature is",0
  db "the irregular component.",0
  db "The irregular component is",0
  db "that left over when the",0
  db "other components of the",0
  db "series (trend, seasonal and",0
  db "cyclical) have been",0
  db "accounted for.",0
deft58:
  db "Least Squares",0
  db "The method of least squares",0
  db "is a criterion for fitting",0
  db "a specified model to",0
  db "observed data. For example,",0
  db "it is the most commonly",0
  db "used method of defining a",0
  db "straight line through a set",0
  db "of points on a scatterplot.",0
deft59:
  db "Main Effect",0
  db "This is the simple effect",0
  db "of a factor on a dependent",0
  db "variable. It is the effect",0
  db "of the factor alone",0
  db "averaged across the levels",0
  db "of other factors.",0
  db 0
  db 0
deft60:
  db "Matched Samples",0
  db "Matched samples can arise",0
  db "in the following situations",0
  db 0
  db "1) Two samples in which the",0
  db "members are clearly paired,",0
  db "or are matched explicitly",0
  db "by the researcher.",0
  db 0
  db "Matched Samples",0
  db "2) Those samples in which",0
  db "the same attribute, or",0
  db "variable, is measured twice",0
  db "on each subject, under",0
  db "different circumstances.",0
  db 0
  db 0
  db 0
part7:  
  cp 61
  jp z,def61
  cp 62
  jp z,def62
  cp 63
  jp z,def63
  cp 64
  jp z,def64
  cp 65
  jp z,def65
  cp 66
  jp z,def66
  cp 67
  jp z,def67
  cp 68
  jp z,def68
  cp 69
  jp z,def69
  cp 70
  jp z,def70
def61:
  ld a,1
  ld (promptRow),a
  ld HL,deft61
  jp pgprimr
def62:
  ld a,1
  ld (promptRow),a
  ld HL,deft62
  jp pgprimr
def63:
  ld a,2
  ld (promptRow),a
  ld HL,deft63
  jp pgprimr
def64:
  ld a,1
  ld (promptRow),a
  ld HL,deft64
  jp pgprimr
def65:
  ld a,1
  ld (promptRow),a
  ld HL,deft65
  jp pgprimr
def66:
  ld a,1
  ld (promptRow),a
  ld HL,deft66
  jp pgprimr
def67:
  ld a,3
  ld (promptRow),a
  ld HL,deft67
  jp pgprimr
def68:
  ld a,1
  ld (promptRow),a
  ld HL,deft68
  jp pgprimr
def69:
  ld a,2
  ld (promptRow),a
  ld HL,deft69
  jp pgprimr
def70:
  ld a,2
  ld (promptRow),a
  ld HL,deft70
  jp pgprimr
deft61:
  db "Median",0
  db "The median is the value",0
  db "halfway through the ordered",0
  db "data set, below and above",0
  db "which there lies an equal",0
  db "number of data values.",0
  db "Medians are resistant to",0
  db "outliners and skewed data.",0
  db 0
deft62:
  db "Mode",0
  db "The mode is the most",0
  db "frequently occurring value",0
  db "in a set of discrete data.",0
  db "There can be more than one",0
  db "mode if two or more values",0
  db "are equally common.",0
  db 0
  db 0
deft63:
  db "Multiplication rule",0
  db "The multiplication rule is",0
  db "a result used to determine",0
  db "the probability that two",0
  db "events, A and B, both",0
  db "occur. The multiplication",0
  db "rule follows from the",0
  db "definition of conditional",0
  db "probability.",0
  db "Multiplication rule",0
  db "The result is often written",0
  db "as follows, using set",0
  db "notation:",0
  db "P(A and B)=P(AlB)*P(B)",0
  db "For independent events:",0
  db "P(A and B)=P(A)*P(B)",0
  db 0
  db 0
deft64:
  db "Mutually Exclusive Events",0
  db "Two events are mutually",0
  db "exclusive (or disjoint) if",0
  db "it is impossible for them",0
  db "to occur together.",0
  db 0
  db 0
  db 0
  db 0
deft65:
  db "Nominal Data",0
  db "A set of data is said to be",0
  db "nominal if the values /",0
  db "observations belonging to",0
  db "it can be assigned a code",0
  db "in the form of a number",0
  db "where the numbers are",0
  db "simply labels. You can only",0
  db "count nominal data.",0
deft66:
  db "Nonlinear Regression",0
  db "Nonlinear regression aims",0
  db "to describe the",0
  db "relationship between a",0
  db "response variable and one",0
  db "or more explanatory",0
  db "variables in a non-linear",0
  db "fashion.",0
  db 0
deft67:
  db "Normal Distribution",0
  db "Normal distributions model",0
  db "(some) continuous random",0
  db "variables. A continuous",0
  db "random variable X, taking",0
  db "all real values is said to",0
  db "follow a Normal",0
  db "distribution with",0
  db "parameters ",Smu," and ",Ssigma," if it",0
  db "Normal Distribution",0
  db "has probability density",0
  db "function X-N(",Smu,",",Ssigma,Ssquare,"). This",0
  db "probability density",0
  db "function (p.d.f.) is a",0
  db "symmetrical, bell-shaped",0
  db "curve, centred at its",0
  db "expected value ",Smu,". The",0
  db "variance is ",Ssigma,". Many",0
  db "Normal Distribution",0
  db "distributions arising in",0
  db "practice can be",0
  db "approximated by a Normal",0
  db "distribution. Other random",0
  db "variables may be",0
  db "transformed to normality.",0
  db 0
  db 0
deft68:
  db "Null Hypothesis",0
  db "The null hypothesis, H0,",0
  db "represents a theory that",0
  db "has been put forward,",0
  db "either because it is",0
  db "believed to be true or",0
  db "because it is to be used as",0
  db "a basis for argument, but",0
  db "has not been proved.",0
deft69:
  db "Observed Frequencies",0
  db "In contingency table",0
  db "problems, the observed",0
  db "frequencies are the",0
  db "frequencies actually",0
  db "obtained in each cell of",0
  db "the table, from our random",0
  db "sample. When conducting a",0
  db "chi-squared test, the term",0
  db "Observed Frequencies",0
  db "observed frequencies is",0
  db "used to describe the actual",0
  db "data in the contingency",0
  db "table.",0
  db 0
  db 0
  db 0
  db 0
deft70:
  db "Sample t-test",0
  db "A one sample t-test is a",0
  db "hypothesis test for",0
  db "answering questions about",0
  db "the mean where the data are",0
  db "a random sample of",0
  db "independent observations",0
  db "from a distribution",0
  db "N(",Smu,",",Ssigma,Ssigma,"),",Ssigma,Ssquare," is unknown.",0
  db "Sample t-test",0
  db "The null hypothesis for the",0
  db "one sample t-test is:",0
  db "H0: ",Smu," = ",Smu,"0, where ",Smu,"0 is",0
  db "known.",0
  db 0
  db 0
  db 0
  db 0
pgprimr:               ;For displaying definitions after 'turning' a page
  ld a,(promptCol)
  ld (curRow),a
;======================================================
;loop for finding the correct page for the definition
;======================================================
findapg:
  ld a,(curRow)
  cp 1
  jp z,defdisp
  ld a,-7
pgloop:
  add a,7
  PUSH AF
  PUSH DE
  PUSH IX
VPutS91:
  LD A,(HL)
  INC HL
  OR A
  JR Z, VputS92
  JR NC, VPutS91
VputS92:
  POP IX
  POP DE
  POP AF
  cp 56
  jp nz,pgloop
  ld a,(curRow)
  add a,-1
  ld (curRow),a
  jr findapg
;=========================================================
;Loop for displaying a definition after the page is found  
;=========================================================
defdisp:
  ld b,0
  ld a,-7
disp2:
  add a,7
  ld (penRow),a
  ld b,a
  ld a,0
  ld (penCol),a
  ld a,b
  PUSH AF
  PUSH DE
  PUSH IX
VPutS1:
  LD A,(HL)
  INC HL
  OR A
  JR Z, VputS2
  B_CALL VPutMap
  JR NC, VPutS1
VputS2:
  POP IX
  POP DE
  POP AF
  cp 56
  jp nz,disp2
  ld a,0
  ld (penRow),a
  ld a,74
  ld (penCol),a
  ld a,(promptCol)
  add a,80h
  B_CALL VPutMap
  ld a,79
  ld (penCol),a
  ld a,'/'
  B_CALL VPutMap
  ld a,83
  ld (penCol),a
  ld a,(promptRow)
  add a,80h
  B_CALL VPutMap
  push de
  push hl
  ld h,0
  ld l,0
  ld d,6
  ld e,88
  B_CALL InvertRect
  pop hl
  pop de
  jp txtnput
;==================================================
txtnput:
  B_CALL GetKey
  cp kEnter
  jp z,finish  
  cp kDown
  jp z,downdef
  cp kUp
  jp z,updef
  jp txtnput
;===================================================
downdef:
  B_CALL ClrLCDFull
  ld a,(promptRow)
  ld b,a
  ld a,(promptCol)
  cp b
  jr z,drespg
  add a,1
  ld (promptCol),a
  jp defenitionpg2

updef
  B_CALL ClrLCDFull
  ld a,(promptCol)
  cp 1
  jr z,urespg
  add a,-1
  ld (promptCol),a
  jp defenitionpg2
    
urespg:
  ld a,(promptRow)
  ld (promptCol),a
  jp defenitionpg2

drespg:
  ld a,1
  ld (promptCol),a
  jp defenitionpg2
    
finish:
  B_CALL ClrLCDFull
  ret
